---
apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: HelmRepository
metadata:
  name: skatelescope
  namespace: flux-system
spec:
  interval: 30m
  url: https://artefact.skao.int/repository/helm-internal


---
apiVersion: helm.toolkit.fluxcd.io/v2beta2
kind: HelmRelease
metadata:
  name: ska-tango-operator
  namespace: flux-system
spec:
  kubeConfig:
    secretRef:
      name: north-cluster-config
      key: value.yaml
  releaseName: ska-tango-operator
  targetNamespace: examples
  storageNamespace: examples
  chart:
    spec:
      chart: ska-tango-operator
      sourceRef:
        kind: HelmRepository
        name: skatelescope
        namespace: flux-system
      version: "10.1.12"
  interval: 1h0m0s
  timeout: 15m
  install:
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3

---
apiVersion: helm.toolkit.fluxcd.io/v2beta2
kind: HelmRelease
metadata:
  name: examples
  namespace: flux-system
spec:
  kubeConfig:
    secretRef:
      name: north-cluster-config
      key: value.yaml
  releaseName: examples
  targetNamespace: examples
  storageNamespace: examples
  dependsOn:
  - name: ska-tango-operator
    namespace: flux-system
  chart:
    spec:
      chart: ska-tango-examples
      sourceRef:
        kind: HelmRepository
        name: skatelescope
        namespace: flux-system
      version: "0.4.31"
  interval: 1h0m0s
  timeout: 15m
  install:
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    global:
      minikube: true
      exposeAllDS: false
      tango_host: tango-databaseds:10000
      cluster_domain: cluster.local
      device_server_port: 45450
      operator: true
    ska-tango-base:
      jive:
        enabled: false
      itango:
        enabled: true
    ska-taranta:
        enabled: false
    ska-taranta-auth:
        enabled: false
    ska-dashboard-repo:
        enabled: false
    ska-tango-examples:
      tango_example:
      image:
        tag: 0.4.30
      events_generator:
        image:
          tag: 0.4.30
        vaultAddress: http://vault.default:8200

---
kind: Secret
apiVersion: v1
metadata:
  name: north-cluster-config
  namespace: flux-system
type: Opaque
stringData:
  value.yaml: |
